CYTHON(1)

NAME
cython - compile Cython code (.pyx) into C to build a Python extension

DESCRIPTION
usage: cython [-h] [-V] [-l] [-I INCLUDE_PATH] [-o OUTPUT_FILE] [-t] [-f] [-v]

    [-p] [--cleanup GENERATE_CLEANUP_CODE] [--cache] [-w WORKING_PATH] [--gdb] [--gdb-outdir GDB_OUTDIR] [-D] [-a] [--annotate-fullc] [--annotate-coverage ANNOTATE_COVERAGE_XML] [--line-directives] [-+] [--embed] [-2] [-3] [--3str] [--lenient] [--capi-reexport-cincludes] [--fast-fail] [-Werror] [-Wextra] [-X NAME=VALUE,...] [-E NAME=VALUE,...] [--module-name MODULE_NAME] [-M] [--generate-shared SHARED_C_FILE_PATH] [--shared SHARED_UTILITY_QUALIFIED_NAME] [sources ...]

Cython (https://cython.org/) is a compiler for code written in the Cython language. Cython is based on Pyrex by Greg Ewing.

  positional arguments:

    sources

  options:

-h, --help
    show this help message and exit

-V, --version
    Display version number of cython compiler

-l, --create-listing
    Write error messages to a listing file

-I, --include-dir INCLUDE_PATH
    Search for include files in named directory (multiple include directories are allowed).

-o, --output-file OUTPUT_FILE
    Specify name of generated C file

-t, --timestamps
    Only compile newer source files

-f, --force
    Compile all source files (overrides implied -t)

-v, --verbose
    Be verbose, print file names on multiple compilation

-p, --embed-positions
    If specified, the positions in Cython files of each function definition is embedded in its docstring.

--cleanup GENERATE_CLEANUP_CODE
    Release interned objects on python exit, for memory debugging. Level indicates aggressiveness, default 0 releases nothing.

--cache
    Enables Cython compilation cache.

-w, --working WORKING_PATH
    Sets the working directory for Cython (the directory modules are searched from)

--gdb
    Output debug information for cygdb

--gdb-outdir GDB_OUTDIR
    Specify gdb debug information output directory. Implies --gdb.

-D, --no-docstrings
    Strip docstrings from the compiled module.

-a, --annotate
    Produce a colorized HTML version of the source.

--annotate-fullc
    Produce a colorized HTML version of the source which includes entire generated C/C++-code.

--annotate-coverage ANNOTATE_COVERAGE_XML
    Annotate and include coverage information from cov.xml.

--line-directives
    Produce #line directives pointing to the .pyx source

-+, --cplus
    Output a C++ rather than C file.

--embed
    Generate a main() function that embeds the Python interpreter. Pass --embed=<method_name> for a name other than main().

-2  Compile based on Python-2 syntax and code semantics.

-3  Compile based on Python-3 syntax and code semantics.

--3str
    Compile based on Python-3 syntax and code semantics (same as -3 since Cython 3.1).

--lenient
    Change some compile time errors to runtime errors to improve Python compatibility

--capi-reexport-cincludes
    Add cincluded headers to any auto-generated header files.

--fast-fail
    Abort the compilation on the first error

-Werror, --warning-errors
    Make all warnings into errors

-Wextra, --warning-extra
    Enable extra warnings

-X, --directive NAME=VALUE,...
    Overrides a compiler directive

-E, --compile-time-env NAME=VALUE,...
    Provides compile time env like DEF would do.

--module-name MODULE_NAME
    Fully qualified module name. If not given, is deduced from the import path if source file is in a package, or equals the filename otherwise.

-M, --depfile
    produce depfiles for the sources

--generate-shared SHARED_C_FILE_PATH
    Generates shared module with specified name.

--shared SHARED_UTILITY_QUALIFIED_NAME
    Imports utility code from shared module specified by fully qualified module name.

  Environment variables:

    CYTHON_CACHE_DIR: the base directory containing Cython's caches.